---
title: 'MediaRecorder: error event'
slug: Web/API/MediaRecorder/error_event
tags:
  - Event
---
<div>{{APIRef}}</div>

<p>The {{domxref("MediaRecorder")}} interface's <strong><code>error</code></strong> event is fired when an error occurs: for example because recording wasn't allowed or was attempted using an unsupported codec.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("MediaRecorderErrorEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/MediaRecorder/onerror">onerror</a></code></td>
  </tr>
 </tbody>
</table>

<p>For details of the all the possible errors see the documentation for the event handler property: <code><a href="/en-US/docs/Web/API/MediaRecorder/onerror">onerror</a></code>.</p>

<h2 id="Examples">Examples</h2>

<p>Using <code><a href="/en-US/docs/Web/API/EventTarget/addEventListener">addEventListener</a></code> to listen for <code>error</code> events:</p>

<pre class="brush: js">async function record() {
    const stream = await navigator.mediaDevices.getUserMedia({audio: true});
    const recorder = new MediaRecorder(stream);
    recorder.addEventListener('error', (event) =&gt; {
        console.error(`error recording stream: ${event.error.name}`)
    });
    recorder.start();
}

record();</pre>

<p>The same, but using the onerror event handler property:</p>

<pre class="brush: js">async function record() {
    const stream = await navigator.mediaDevices.getUserMedia({audio: true});
    const recorder = new MediaRecorder(stream);
    recorder.onerror = (event) =&gt; {
        console.error(`error recording stream: ${event.error.name}`)
    };
    recorder.start();
}

record();</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName('MediaStream Recording', '#errorevent-section')}}</td>
   <td>{{Spec2('MediaStream Recording')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaRecorder.error_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/MediaRecorder_API/Using_the_MediaRecorder_API">Using the MediaRecorder API</a></li>
</ul>
